/**
 * Typed wrapper of i18n `useTranslation` hook
 */
declare const useLocalization: <TKeys>() => {
    t: <K extends keyof TKeys>(key: K, options?: object | undefined) => string;
};
export { useLocalization };
