import { DependencyList } from "react";
import { AsyncEffectCallback } from "../types/async-effect-callback-type";
/**
 * Version of the useEffect hook that accepts an async function
 * @export
 * @param {AsyncEffectCallback} asyncEffect
 * @param {DependencyList} deps
 */
export declare function useAsyncEffect(asyncEffect: AsyncEffectCallback, deps: DependencyList): void;
